Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXSL1.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMXSL1.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXSL1.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMXSL1 ; SLC/PJH - Process Visits/Appts Reminder Due report;02/07/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMXSL1 ; SLC/PJH - Process Visits/Appts Reminder Due report;12/09/2005
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ; Called from PXRMXSE
@@ -25,14 +25,4 @@
  I '$D(PXRMFACN(HFAC)) Q ""
  Q HFAC
- ;
-INACTCL(HLIEN,PXRMBDT) ;
- ;Check to see if clinic is inactivated before the start of 
- ;the reporting period
- N INACT,REACT
- S INACT=+$P($G(^SC(HLIEN,"I")),U) I INACT=0 Q 0
- S REACT=+$P($G(^SC(HLIEN,"I")),U,2)
- I REACT'<INACT Q 0
- I INACT<PXRMBDT Q 1
- Q 0
  ;
 INPADM ;
@@ -61,6 +51,5 @@
  ;
 BHLOC ;
- N CLINIEN,END,FACILITY,NAM,HLIEN,I,START,TEXT
- N INACT,REACT
+ N CLINIEN,END,FACILITY,NAM,HLIEN,I,START
  I '(PXRMQUE!$D(IO("S"))) D INIT^PXRMXBSY(.BUSY)
  ;All inpatient, outpatient all location credit stop and encounter
@@ -69,5 +58,4 @@
  .S HLIEN=0 F  S HLIEN=$O(^SC(HLIEN)) Q:HLIEN'>0  D
  ..S FACILITY=$$HFAC(HLIEN) I FACILITY'>0 Q
- ..I $$INACTCL(HLIEN,PXRMBDT)=1 Q
  ..S NAM=$P(^SC(HLIEN,0),U)
  ..I ('(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")))&(DBDOWN=0) D SPIN^PXRMXBSY("Building Hospital Locations List",.BUSY)
@@ -82,5 +70,4 @@
  .S HLIEN=0 F  S HLIEN=$O(PXRMLOCN(HLIEN)) Q:HLIEN'>0  D
  ..S FACILITY=$$HFAC(HLIEN) I FACILITY'>0 Q
- ..I $$INACTCL(HLIEN,PXRMBDT)=1 Q
  ..S NAM=$P(^SC(HLIEN,0),U)
  ..I ('(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")))&(DBDOWN=0) D SPIN^PXRMXBSY("Building Hospital Locations List",.BUSY)
@@ -91,5 +78,4 @@
  ..S HLIEN=0 F  S HLIEN=$O(^SC("AST",CLINIEN,HLIEN)) Q:HLIEN'>0  D
  ...S FACILITY=$$HFAC(HLIEN) I FACILITY'>0 Q
- ...I $$INACTCL(HLIEN,PXRMBDT)=1 Q
  ...S NAM=$P(^DIC(40.7,CLINIEN,0),U)_" "_$P(PXRMCS($G(PXRMCSN(CLINIEN))),U,3)
  ...I ('(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")))&(DBDOWN=0) D SPIN^PXRMXBSY("Building Hospital Locations List",.BUSY)
@@ -100,22 +86,20 @@
  ..S HLIEN=0 F  S HLIEN=$O(^SC("ASCRPW",CGRPIEN,HLIEN)) Q:HLIEN'>0  D
  ...S FACILITY=$$HFAC(HLIEN) I FACILITY'>0 Q
- ...I $$INACTCL(HLIEN,PXRMBDT)=1 Q
  ...I ('(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")))&(DBDOWN=0) D SPIN^PXRMXBSY("Building Hospital Locations List",.BUSY)
  ...S ^XTMP(PXRMXTMP,"HLOC",HLIEN)=FACILITY_U_$P(^SC(HLIEN,0),U)_U_CGRPIEN
  I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) D DONE^PXRMXBSY("Done")
  S END=$H
- S TEXT="Elapsed time for building hospital locations: "_$$DETIME^PXRMXSL1(START,END)
- S ^XTMP(PXRMXTMP,"TIMING","BUILDING HOSPITAL LOCATIONS")=TEXT
- I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) W !,TEXT
- Q
- ;
-DETIME(START,END) ;
+ I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) D DETIME(START,END,"Building Hospital Locations")
+ Q
+ ;
+DETIME(START,END,SECTION) ;
  N ETIME,TEXT
  S ETIME=$$HDIFF^XLFDT(END,START,2)
  I ETIME>90 D
  . S ETIME=$$HDIFF^XLFDT(END,START,3)
- . S TEXT=ETIME
- E  S TEXT=ETIME_" secs"
- Q TEXT
+ . S TEXT="Elapsed time for "_SECTION_": "_ETIME
+ E  S TEXT="Elapsed time for "_SECTION_": "_ETIME_" secs"
+ D MES^XPDUTL(TEXT)
+ Q
  ;
 OERR ;
@@ -145,5 +129,4 @@
  I '(PXRMQUE!$D(IO("S"))) D INIT^PXRMXBSY(.BUSY)
  N CNT,SCDT,LIST,SCERR,SCLIST,II,PCM,NAM,PNAM,PXRM,OK
- N FACILITY,NAM
  S SCDT("BEGIN")=PXRMSDT,SCDT("END")=PXRMSDT
  ;Include patient if in team on any day in range
@@ -163,8 +146,5 @@
  ..I PXRMPRIM="P",($$PCASSIGN^PXRMXAP(DFN)'=1) Q
  ..;For detailed provider report get assoc clinic
- ..I PXRMREP="D" S DCLN=$P(^TMP($J,"PCM",CNT),U,7) I +$G(DCLN)>0 D
- ...S FACILITY=$$HFAC(DCLN)
- ...S NAM=$P(^SC(DCLN,0),U)
- ...S ^XTMP(PXRMXTMP,"HLOC",DCLN)=FACILITY_U_NAM
+ ..I PXRMREP="D" S DCLN=$P(^TMP($J,"PCM",CNT),U,7) I $G(DCLN)'="" S ^XTMP(PXRMXTMP,"HLOC",DCLN)=""
  ..I $G(DCLN)'="" S PXRMDCLN(DCLN)=""
  ..D UPD1(DFN,NAM,"FACILITY",+$G(DCLN))
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXSL2.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMXSL2.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXSL2.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMXSL2 ; SLC/AGP - Process Visits/Appts Reminder Due report; 08/16/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMXSL2 ; SLC/AGP - Process Visits/Appts Reminder Due report; 06/07/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
 APPTS ;
@@ -6,7 +6,6 @@
  N APPTDT,BDT,EDT,NODE,DFN,FACILITY,HLIEN,NAM
  S NAM="All Locations"
- S BDT=PXRMBDT
- ;I PXRMBDT["." S BDT=PXRMBDT
- ;E  S BDT=PXRMBDT-.0001
+ I PXRMBDT["." S BDT=PXRMBDT
+ E  S BDT=PXRMBDT-.0001
  I PXRMEDT["." S EDT=PXRMEDT
  E  S EDT=PXRMEDT+.2359
@@ -41,5 +40,5 @@
  ;
 SDAM301(BD,ED,PXRMSEL,PXRMFD,PXRMREP) ;
- N ARRAY,BUSY,FACILITY,NAM,OPIEN,STATUS,TEXT
+ N ARRAY,BUSY,FACILITY,NAM,OPIEN,STATUS
  K ^TMP($J,"PXRM FUTURE APPT")
  K ^TMP($J,"PXRM FACILITY FUTURE APPT")
@@ -64,7 +63,5 @@
  S COUNT=$$SDAPI^SDAMA301(.ARRAY)
  S END=$H
- S TEXT="Elapsed time for call to the Scheduling Package: "_$$DETIME^PXRMXSL1(START,END)
- S ^XTMP(PXRMXTMP,"TIMING","SCHEDULING")=TEXT
- I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) W !,TEXT
+ I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) D DETIME^PXRMXSL1(START,END,"Total amount of time to call the Scheduling Package")
  I COUNT<0 D  Q
  .N CNT
@@ -72,9 +69,9 @@
  .F  S CNT=$O(^TMP($J,"SDAMA301",CNT)) Q:CNT'>0  D
  ..S DBERR(CNT)=$G(^TMP($J,"SDAMA301",CNT))
- .D ERRMSG^PXRMXDT1("E")
+ .D DBDOWN^PXRMXDT1("E")
  ;
 LOOP ;
  I PXRMFD'="P"!(PXRMSEL'="L") Q
- N APPTDT,CIEN,DFN,FUTDT,NODE,TEXT,VIEN
+ N APPTDT,CIEN,DFN,FUTDT,NODE,VIEN
  ;LOOP THROUGH PATIENT
  S START=$H
@@ -102,67 +99,11 @@
  S END=$H
  I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) D DONE^PXRMXBSY("Done")
- S TEXT="Elapsed time for sorting SDAMA301 output: "_$$DETIME^PXRMXSL1(START,END)
- S ^XTMP(PXRMXTMP,"TIMING","SCHEDULE SORT")=TEXT
- I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) W !,TEXT
+ I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) D DETIME^PXRMXSL1(START,END,"Sorting SDAMA301 Output")
  Q
  ;
  ;Scan visit file to build list of patients
 VISITS ;
- N BUSY,DAS,DATE,DFN,DS,END,ETIME,HLOC,NF
- N SC,START,TEMP,TEXT,TGLIST,TIME
- S START=$H
- K ^TMP($J,"PXRM PATIENT LIST")
- I '(PXRMQUE!$D(IO("S"))) D INIT^PXRMXBSY(.BUSY)
- W !,"Building patient list "
- K ^TMP($J,"HLOCL"),^TMP($J,"PLIST")
- M ^TMP($J,"HLOCL")=^XTMP(PXRMXTMP,"HLOC")
- D FPLIST^PXRMLOCL(9000010,"HLOCL",-1,PXRMBDT,PXRMEDT,"PLIST")
- K ^TMP($J,"HLOCL")
- S DFN=""
- F  S DFN=$O(^TMP($J,"PLIST",DFN)) Q:DFN=""  D
- . S NF=0
- . F  S NF=$O(^TMP($J,"PLIST",DFN,NF)) Q:NF=""  D
- .. S TEMP=^TMP($J,"PLIST",DFN,NF)
- .. S SC=$P(TEMP,U,4)
- .. I '$D(PXRMSCAT(SC)) Q
- .. ;Remove test Patients
- .. I 'PXRMTPAT,$$TESTPAT^VADPT(DFN)=1 Q
- .. ;Remove deceased patients
- .. I 'PXRMDPAT,$P($G(^DPT(DFN,.35)),U,1)>0 Q
- .. S DAS=$P(TEMP,U,1),DATE=$P(TEMP,U,2),HLOC=$P(TEMP,U,3)
- .. S ^TMP($J,"PXRM PATIENT LIST",DFN,HLOC,DATE,DAS)=""
- K ^TMP($J,"PLIST")
- S END=$H
- I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) D DONE^PXRMXBSY("Done")
- S TEXT="Elapsed time for building patient list: "_$$DETIME^PXRMXSL1(START,END)
- S ^XTMP(PXRMXTMP,"TIMING","PATIENT LIST")=TEXT
- I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) W !,TEXT
- I PXRMREP="D" D SDAM301(PXRMBDT,PXRMEDT,PXRMSEL,PXRMFD,PXRMREP)
- I DBDOWN=1 Q
- S START=$H
- S BUSY=0
- I '(PXRMQUE!$D(IO("S"))) D INIT^PXRMXBSY(.BUSY)
- N HLIEN,NAM,FACILITY,LSEL,NODE
- S DFN=0 F  S DFN=$O(^TMP($J,"PXRM PATIENT LIST",DFN)) Q:DFN'>0  D
- .S HLIEN=0
- .F  S HLIEN=$O(^TMP($J,"PXRM PATIENT LIST",DFN,HLIEN)) Q:HLIEN'>0  D
- ..I ('(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")))&(DBDOWN=0) D SPIN^PXRMXBSY("Removing Invalid Encounter(s)",.BUSY)
- ..S NODE=$G(^XTMP(PXRMXTMP,"HLOC",HLIEN))
- ..S FACILITY=$P(NODE,U),NAM=$P(NODE,U,2)
- ..D TMP^PXRMXSL1(DFN,NAM,FACILITY,HLIEN)
- ..S TEMP=$P(PXRMLCSC,U,1)
- ..S LSEL=$S(TEMP="CS":$P(NODE,U,3),TEMP="GS":$P(NODE,U,3),1:HLIEN)
- ..D MARK^PXRMXSL1(LSEL)
- ..S ^TMP($J,"PXRM PATIENT EVAL",DFN)=""
- S END=$H
- S TEXT="Elapsed time for removing invalid encounter(s): "_$$DETIME^PXRMXSL1(START,END)
- S ^XTMP(PXRMXTMP,"TIMING","REMOVING INVALID ENCOUNTER(S)")=TEXT
- I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) W !,TEXT
- I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) D DONE^PXRMXBSY("Done")
- Q
- ;
-VISITSO ; Old entry point
  N BTIME,DAS,DATE,DEND,DFN,DONE,DS,ETIME,HLOC,INVBD,INVDATE,INVDT,INVED
- N NFOUND,SC,TEMP,TEXT,TGLIST,TIME
+ N NFOUND,SC,TEMP,TGLIST,TIME
  N DOD,START,END
  S START=$H
@@ -175,5 +116,5 @@
  S INVBD=9999999-$P(PXRMBDT,".",1),BTIME=+("."_$P(PXRMBDT,".",2))
  S INVED=9999999-$P(DEND,".",1),ETIME=+("."_$P(DEND,".",2))
- S DS=INVED-.000001
+ S DS=INVED-1
  S HLOC=""
  F  S HLOC=$O(^XTMP(PXRMXTMP,"HLOC",HLOC)) Q:HLOC=""  D
@@ -203,13 +144,11 @@
  S END=$H
  I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) D DONE^PXRMXBSY("Done")
- S TEXT="Elapsed time for building patient list: "_$$DETIME^PXRMXSL1(START,END)
- S ^XTMP(PXRMXTMP,"TIMING","PATIENT LIST")=TEXT
- I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) W !,TEXT
- I PXRMREP="D" D SDAM301(PXRMBDT,PXRMEDT,PXRMSEL,PXRMFD,PXRMREP)
- ;D SDAM301(PXRMBDT-.0001,PXRMEDT,PXRMSEL,PXRMFD,PXRMREP)
+ I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) D DETIME^PXRMXSL1(START,END,"Building Patient List")
+ D SDAM301(PXRMBDT-.0001,PXRMEDT,PXRMSEL,PXRMFD,PXRMREP)
  ;
  I DBDOWN=1 Q
  S START=$H
  S BUSY=0
+ I DBDOWN=1 Q
  N NODE
  I '(PXRMQUE!$D(IO("S"))) D INIT^PXRMXBSY(.BUSY)
@@ -227,7 +166,5 @@
  ..S ^TMP($J,"PXRM PATIENT EVAL",DFN)=""
  S END=$H
- S TEXT="Elapsed time for removing invalid encounter(s): "_$$DETIME^PXRMXSL1(START,END)
- S ^XTMP(PXRMXTMP,"TIMING","REMOVING INVALID ENCOUNTER(S)")=TEXT
- I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) W !,TEXT
  I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) D DONE^PXRMXBSY("Done")
+ I '(PXRMQUE!$D(IO("S"))!(PXRMTABS="Y")) D DETIME^PXRMXSL1(START,END,"Removing Invalid Encounter(s)")
  Q
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXTB.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMXTB.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXTB.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMXTB ; SLC/PJH - Reminder Reports Template Load ;11/27/2006
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+PXRMXTB ; SLC/PJH - Reminder Reports Template Load ;08/01/2001
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ; 
  ; Called from PXRMXD
@@ -58,5 +58,4 @@
  S XREF("PXRMLCSC")=1.5
  S XREF("PXRMFD")=1.6
- S XREF("PXRMPML")=1.7
  S XREF("PXRMREM")=2
  S XREF("PXRMFAC")=3
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXTD.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMXTD.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXTD.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMXTD ; SLC/PJH - Reminder Reports Template Display ;11/16/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMXTD ; SLC/PJH - Reminder Reports Template Display ;11/03/2005
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ; 
  ; Called from PXRMXT/PXRMXTF
@@ -24,5 +24,4 @@
  .I $E(PXRMLCSC,2)'="A" W ! D ARRS
  I DONE Q
- W !?PSTART,"Print Locations without Patients:",?32,$S($G(PXRMPML)=0:"NO",1:"YES")
  S IC="" F  S IC=$O(PXRMRCAT(IC)) Q:IC=""  D  Q:DONE
  .W !,?PSTART W:IC=1 "Category:"
@@ -95,5 +94,5 @@
  ;form feed to new page
  ;---------------------
-PAGE I ($E(IOST,1,2)="C-")&(IO=IO(0))&(PAGE>0) D
+PAGE I ($E(IOST)="C")&(IO=IO(0))&(PAGE>0) D
  .S DIR(0)="E"
  .W !
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXTE.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMXTE.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXTE.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMXTE ; SLC/PJH - Reminder Reports Template Edit ;11/27/2006
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMXTE ; SLC/PJH - Reminder Reports Template Edit ;08/03/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ; 
  ; Called from PXRMYD,PXRMXD
@@ -58,6 +58,4 @@
  ;Report type (detail or summary)
  S DR=DR_";1.4"
- ;Print Locations without patients
- S DR=DR_";1.7"
  ;Reminder Categories
  I $D(^PXRMPT(810.1,DA,12,0))>0 D
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXTF.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMXTF.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXTF.m	(revision 636)
@@ -1,4 +1,4 @@
 PXRMXTF ; SLC/PJH - Reminder Reports Template Filing ;05/02/2002
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ; 
  ; Called from PXRMXTA
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXTU.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMXTU.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMXTU.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMXTU ; SLC/PJH - Reminder Reports Template Update ;11/27/2006
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMXTU ; SLC/PJH - Reminder Reports Template Update ;11/03/2005
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ; 
  ; Called from PXRMYD,PXRMXD (also at UPD from PXRMXPR/PXRMYPR)
@@ -59,5 +59,5 @@
  ;
  ;Save single fields into FDA
- F IC="NAME","PXRMLCSC","PXRMPRIM","PXRMREP","PXRMSEL","PXRMTYP","PXRMPML" D
+ F IC="NAME","PXRMLCSC","PXRMPRIM","PXRMREP","PXRMSEL","PXRMTYP" D
  .S FDA(810.1,MODE,XREF(IC))=$G(@IC)
  F IC="PXRMFD","PXRMSCAT","RUN","TITLE" D
Index: FOIAVistA/tag/r/CMOP-PSX/PSXBLD1.m
===================================================================
--- FOIAVistA/trunk/r/CMOP-PSX/PSXBLD1.m	(revision 631)
+++ FOIAVistA/tag/r/CMOP-PSX/PSXBLD1.m	(revision 636)
@@ -1,4 +1,4 @@
 PSXBLD1 ;BIR/BAB,HTW,WPB-Document Data for Transmission ;10/15/98  10:38 AM
- ;;2.0;CMOP;**3,18,19,42,41,49,57,64**;11 Apr 97;Build 1
+ ;;2.0;CMOP;**3,18,19,42,41,49,57**;11 Apr 97
  ;Reference to  ^PSRX(     supported by DBIA #1977
  ;Reference to  ^PSDRUG(   supported by DBIA #1983
@@ -88,5 +88,5 @@
  S TXT(1)="The following Pharmacy Site instruction(s) exceed seven lines."
  S TXT(2)="This exceeds CMOP limits."
- S TXT(3)="Lines beyond seven are not being sent to the CMOP."
+ S TXT(3)="Lines beyound seven are not being sent to the CMOP."
  S TXT(4)=" ",TXT(5)="Pharmacy Site: "_$$GET1^DIQ(59,PSOSITE,.01),L=5
  F NODE=6,7,4 I $DATA(WARN(NODE)) S L=L+1,TXT(L)=XT(NODE)_"     "_WARN(NODE)_" lines"
Index: FOIAVistA/tag/r/CMOP-PSX/PSXMISC1.m
===================================================================
--- FOIAVistA/trunk/r/CMOP-PSX/PSXMISC1.m	(revision 631)
+++ FOIAVistA/tag/r/CMOP-PSX/PSXMISC1.m	(revision 636)
@@ -1,4 +1,4 @@
 PSXMISC1 ;BIR/WPB,BAB-Transmission Data Validation ;MAR 1,2002@13:13:34
- ;;2.0;CMOP;**3,18,23,28,30,42,41,52,54,58,64**;11 Apr 97;Build 1
+ ;;2.0;CMOP;**3,18,23,28,30,42,41,52,54,58**;11 Apr 97;Build 2
  ;Reference to ^PSDRUG(  supported by DBIA #1983
  ;Reference to ^PS(52.5, supported by DBIA #1978
@@ -124,6 +124,5 @@
  N DFN,PSOFORGN
  S DFN=$P($G(^PSRX(TRX,0)),"^",2) I DFN="" Q:0
- ;BHW;PSX*2*64;Changed Quit below from Q:+(^TMP... to Q +(^TMP...
- I $D(^TMP($J,"PSXBAI",DFN)) Q +(^TMP($J,"PSXBAI",DFN))
+ I $D(^TMP($J,"PSXBAI",DFN)) Q:+(^TMP($J,"PSXBAI",DFN))
  D ADD^VADPT
  S PSOFORGN=$P($G(VAPA(25)),"^",2) I PSOFORGN'="",PSOFORGN'["UNITED STATES" S PSOFORGN=1
Index: FOIAVistA/tag/r/CONSULT_REQUEST_TRACKING-GMRC-GMRS-GMRT/GMRCSTL7.m
===================================================================
--- FOIAVistA/trunk/r/CONSULT_REQUEST_TRACKING-GMRC-GMRS-GMRT/GMRCSTL7.m	(revision 631)
+++ FOIAVistA/tag/r/CONSULT_REQUEST_TRACKING-GMRC-GMRS-GMRT/GMRCSTL7.m	(revision 636)
@@ -1,52 +1,29 @@
-GMRCSTL7 ;SLC/JFR/WAT - DRIVER FOR CSLT PER MONITOR ;4/8/05 10:28
- ;;3.0;CONSULT/REQUEST TRACKING;**41,60**;DEC 27, 1997;Build 9
+GMRCSTL7 ;SLC/JFR - DRIVER FOR CSLT PER MONITOR ;4/8/05 10:28
+ ;;3.0;CONSULT/REQUEST TRACKING;**41**;DEC 27, 1997
  ;
- ;This routine invokes ICRs 
- ;1519(XUTMDEVQ,10103(XLFDT),10104(XLFSTR),3744(VADPT),10089(%ZISC),10026(DIR)
  Q
  ;
 EN ; start here
  K GMRCQUT
- N DIROUT,DTOUT,DUOUT,DIR,Y,X,GMRCTMP,GMRCDG,GMRCSVC,GMRCSVNM,GMRCDT1
+ N DIROUT,DTOUT,DUOUT,DIR,DIRUT,GMRCTMP,GMRCDG,GMRCSVC,GMRCSVNM,GMRCDT1
  N GMRCDT2,GMRCFMT,GMRCGRP,VALMBCK,GMRCSAVE
- N GMRC30ST,GMRC30SP
- D CAVEATS
+ ;
  ;Ask for service
- S DIR(0)="P^123.5:EMQ",DIR("??")="^D LISTALL^GMRCASV"
+ N Y
+ S DIR(0)="PO^123.5:EMQ",DIR("??")="^D LISTALL^GMRCASV"
  S DIR("A")="Select Service/Specialty"
  D ^DIR
- I $D(DTOUT)!($D(DUOUT))!($D(DIROUT))!(X="") D EXIT Q
+ I Y<1 Q
  S GMRCDG=+Y,GMRCSVNM=$P(Y,U,2)
-  ;Ask for current FY
- N DIROUT,DTOUT,DUOUT,DIR,Y,X,GMRCFY
- S DIR(0)="F^4:4^K:(X-1700)>($E(DT,1,3)+1) X"
- S DIR("A")="Current Fiscal Year (i.e. 2008)"
- S DIR("A",1)="Ensure you are providing fiscal year, NOT calendar year."
- D ^DIR
- I $D(DTOUT)!($D(DUOUT))!($D(DIROUT))!(X="") D EXIT Q
- S GMRCFY=X
- N DIROUT,DTOUT,DUOUT,DIR,Y,X,GMRCQTR,GMRCYR
- S DIR(0)="N^1:4"
- S DIR("A")="Enter a number 1 - 4"
- S DIR("A",1)="For which quarter are you running the report: first, second, third or fourth?"
- D ^DIR
- I $D(DTOUT)!($D(DUOUT))!($D(DIROUT))!(X="") D EXIT Q
- S GMRCQTR=X
- ;if first quarter
- I $G(GMRCQTR)=1 D
- .;use FY-1 to set year part of date range to the previous calendar year
- .S GMRCYR=$G(GMRCFY)-1700 S GMRCYR=$G(GMRCYR)-1,GMRCDT1=$E($G(GMRCYR),1,3)_"1001" S GMRCDT2=$G(GMRCYR)_"1231"
- I $G(GMRCQTR)=2 D
- .S GMRCYR=$G(GMRCFY)-1700 S GMRCDT1=$E($G(GMRCYR),1,3)_"0101" S GMRCDT2=$G(GMRCYR)_"0331"
- I $G(GMRCQTR)=3 D
- .S GMRCYR=$G(GMRCFY)-1700 S GMRCDT1=$E($G(GMRCYR),1,3)_"0401" S GMRCDT2=$G(GMRCYR)_"0630"
- I $G(GMRCQTR)=4 D
- .S GMRCYR=$G(GMRCFY)-1700 S GMRCDT1=$E($G(GMRCYR),1,3)_"0701" S GMRCDT2=$G(GMRCYR)_"0930"
- S GMRC30ST=$$FMADD^XLFDT(GMRCDT1,-30),GMRC30SP=$$FMADD^XLFDT(GMRCDT2,-30)
+ ;
+ ;Ask for date range
+ D ^GMRCSPD
+ I $D(GMRCQUT) G EXIT
+ ;
  ; what type of report
- N DIROUT,DTOUT,DUOUT,DIR,Y,X
+ K DIR,X,Y
  S DIR(0)="S:O^S:Summary;D:Delimited",DIR("A")="What type of report"
  D ^DIR
- I $D(DTOUT)!($D(DUOUT))!($D(DIROUT))!(X="") D EXIT Q
+ I Y="" G EXIT
  S GMRCFMT=$S(Y="S":"CP",1:"DEL")
  ;
@@ -56,15 +33,6 @@
  S GMRCSAVE("GMRCDT1")=""
  S GMRCSAVE("GMRCDT2")=""
- S GMRCSAVE("GMRC30ST")=""
- S GMRCSAVE("GMRC30SP")=""
  S GMRCSAVE("GMRCSVNM")=""
- S GMRCSAVE("GMRCFY")=""
- S GMRCSAVE("GMRCQTR")=""
  ;
- N DIROUT,DTOUT,DUOUT,DIR,Y,X S DIR(0)="FO",DIR("A")="ENTER ""?"" FOR MORE HELP OR RETURN TO CONTINUE"
- S DIR("A",1)="MARGIN WIDTH IS BEST AT 256"
- S DIR("?")="^D MARGHLP^GMRCSTL7"
- D:GMRCFMT="DEL" ^DIR
- I $D(DTOUT)!($D(DUOUT))!($D(DIROUT)) D EXIT Q
  D EN^XUTMDEVQ("PRNTQ^GMRCSTL7","CONSULT PERFORMANCE MONITOR",.GMRCSAVE)
  ;
@@ -72,24 +40,10 @@
  ;
  Q
-MARGHLP ;help text to set margins
- W !,"Specify a device with optional parameters in the format"
- W !,?8,"Device Name;Right Margin;Page Length"
- W !,?21,"or"
- W !,?5,"Device Name;Subtype;Right Margin;Page Length"
- W !!,"Or in the new format"
- W !,?14,"Device Name;/settings"
- W !,?21,"or"
- W !,?10,"Device Name;Subtype;/settings"
- W !,"For example"
- W !,?17,"HOME;80;999"
- W !,?21,"or"
- W !,?13,"HOME;C-VT320;/M80L999"
- Q
  ;
-ENOR(RETURN,GMRCSVC,GMRC30ST,GMRC30SP,GMRCSTAT,GMRCST2,GMRCARRN) ;Entry point 
+ENOR(RETURN,GMRCSVC,GMRCDT1,GMRCDT2,GMRCSTAT,GMRCARRN) ;Entry point 
  ;.RETURN:   This is the root to the returned temp array.
  ;GMRCSVC:  Service for which consults are to be displayed.
- ;GMRC30ST:  30 days prior to quarter start date
- ;GMRC30SP:  30 days prior to quarter end date
+ ;GMRCDT1:  Starting date or "ALL"
+ ;GMRCDT2:  Ending date if not GMRCDT1="ALL"
  ;GMRCSTAT: The list of status to include separated by commas
  ;GMRCARRN: Format of report becomes ^TMP array element
@@ -112,10 +66,14 @@
  D SERV1^GMRCASV
  ;Get external form of date range
+ I '($D(GMRCDT1)#2) S GMRCDT1="ALL"
+ S:GMRCDT1="ALL" GMRCDT2=0
  D LISTDATE^GMRCSTU1(GMRCDT1,$G(GMRCDT2),.GMRCEDT1,.GMRCEDT2)
  ;
- N GMRCDA,INDEX,STATUS,STATUS2,LOOP,GROUPER
- N GMRCSVCG,GMRCPT,GMRCSVCP,GRP,PIECE,TYPE
+ N GMRCDA,INDEX,STATUS,LOOP,GROUPER
+ N STS,GMRCD,GMRCDT,GMRCSVCG,TEMP,GMRCPT,LINETEMP
+ N GMRCPTN,GMRCPTSN,GMRCDLA,GMRCXDT,GMRCLOC,GMRCSVCP
+ N GRP,GMRCIRF,GMRCIRFN,GMRCIDD,GMRCST,GMRCRDT
  ;
- K ^TMP("GMRCR",$J,GMRCARRN),^TMP("GMRCRINDEX",$J),^TMP("GMRCT",$J)
+ K ^TMP("GMRCR",$J,GMRCARRN),^TMP("GMRCRINDEX",$J),^TMP("GMRCTOT",$J)
  ;
  S GROUPER=0
@@ -123,6 +81,6 @@
  I GMRCARRN="DEL" D
  . N STR
- . S STR="Svc;30DayRng;60DayRng;CmpIn30;Cmp31-60;B4Qtr;PndB4Qtr;%Cmp30;%Cmp60;%UnRsB4Qtr;IS30Rng;IS60Rng;ISCmp30;ISCmp31-60;ISB4Qtr;ISPndB4Qtr;%ISCmp30;%ISCmp60;%ISUnRsB4Qtr;"
- . S STR=STR_"IR30Rng;IR60Rng;IRCmp30;IRCmp31-60;IRB4Qtr;IRPndB4Qtr;%IRCmp30;%IRCmp60;%IRUnRsB4Qtr"
+ . S STR="Service;Total;Unresolved;Complete;Comp w/Results;%Complete;"
+ . S STR=STR_"%Comp w/Results"
  . S ^TMP("GMRCR",$J,GMRCARRN,1,0)=STR
  S INDEX=""
@@ -132,17 +90,20 @@
  .S GMRCSVCP=$P(^TMP("GMRCSLIST",$J,INDEX),"^",2)
  .S GMRCSVCG=$P(^TMP("GMRCSLIST",$J,INDEX),"^",3)
- .N SUBIDX
- .;pieces for tmp arrays, 1 to 6 are local, 7 to 12 are IFC placer, 13 to 18 are IFC filler
- .;;total for 30 day start/end^total for 60 day start/end^results n 30 days^results n 60 days^total before quarter^total pending before quarter
- .S ^TMP("GMRCT",$J,1,GMRCSVC,"DATA")="0^0^0^0^0^0^0^0^0^0^0^0^0^0^0^0^0^0"
- .S ^TMP("GMRCT",$J,2,GMRCSVC,"DATA")="0^0^0^0^0^0^0^0^0^0^0^0^0^0^0^0^0^0"
- .;Check if starting a new Grouper
- .F  Q:GROUPER(GROUPER)=GMRCSVCG  D
+ .S ^TMP("GMRCTOT",$J,1,GMRCSVC,"T")=0
+ .S ^TMP("GMRCTOT",$J,1,GMRCSVC,"P")=0
+ .S ^TMP("GMRCTOT",$J,1,GMRCSVC,"R")=0
+ .S ^TMP("GMRCTOT",$J,1,GMRCSVC,"C")=0
+ .S ^TMP("GMRCTOT",$J,2,GMRCSVC,"T")=0
+ .S ^TMP("GMRCTOT",$J,2,GMRCSVC,"P")=0
+ .S ^TMP("GMRCTOT",$J,2,GMRCSVC,"R")=0
+ .S ^TMP("GMRCTOT",$J,2,GMRCSVC,"C")=0
+ . ;Check if starting a new Grouper
+ . F  Q:GROUPER(GROUPER)=GMRCSVCG  D
  ..;End of a group so print the group totals
  ..I GROUPER(GROUPER)=GMRCSVCG D 
  ... I GMRCARRN="CP" D
- ....D PRTTOT^GMRCSTL8(2,GROUPER(GROUPER),GMRCARRN)
- ...I GMRCARRN="DEL" D
- ....D DELTOT^GMRCSTL8(2,GROUPER(GROUPER),GMRCARRN)
+ .... D PRTTOT^GMRCSTL8(2,GROUPER(GROUPER),GMRCARRN)
+ ... I GMRCARRN="DEL" D
+ .... D DELTOT^GMRCSTL8(2,GROUPER(GROUPER),GMRCARRN)
  ..;pop grouper from stack
  ..S GROUPER=GROUPER-1
@@ -153,29 +114,31 @@
  .;Loop for one status at a time
  .F LOOP=1:1:$L(GMRCSTAT,",") S STATUS=$P(GMRCSTAT,",",LOOP) D
- ..D ONESTAT^GMRCSTL8(GMRCARRN,INDEX,STATUS,GMRC30ST,GMRC30SP,"30")
- .F LOOP=1:1:$L(GMRCSTAT,",") S STATUS=$P(GMRCSTAT,",",LOOP) D
- ..D ONESTAT^GMRCSTL8(GMRCARRN,INDEX,STATUS,$$FMADD^XLFDT(GMRC30ST,-30),$$FMADD^XLFDT(GMRC30SP,-30),"60")
- .S GMRCDT1=$$FMADD^XLFDT(GMRC30ST,30) ;add 30 days back to set date back to start of FY quarter.
- .F LOOP=1:1:$L(GMRCST2,",") S STATUS2=$P(GMRCST2,",",LOOP) D
- ..D ONESTAT2^GMRCSTL8(GMRCARRN,INDEX,STATUS2,$$FMADD^XLFDT(GMRCDT1,-60))
+ .. D ONESTAT^GMRCSTL8(GMRCARRN,INDEX,STATUS,GMRCDT1,GMRCDT2)
  .F GRP=GROUPER:-1:1 D
- ..F PIECE=1:1:18 D
- ...S $P(^TMP("GMRCT",$J,2,GROUPER(GRP),"DATA"),U,PIECE)=$P(^TMP("GMRCT",$J,2,GROUPER(GRP),"DATA"),U,PIECE)+$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,PIECE)
+ ..;  pending for this service to all of its groupers
+ ..S ^TMP("GMRCTOT",$J,2,GROUPER(GRP),"P")=$G(^TMP("GMRCTOT",$J,2,GROUPER(GRP),"P"))+^TMP("GMRCTOT",$J,1,GMRCSVC,"P")
+ .. ; completed w/results for all groupers
+ .. S ^TMP("GMRCTOT",$J,2,GROUPER(GRP),"R")=$G(^TMP("GMRCTOT",$J,2,GROUPER(GRP),"R"))+^TMP("GMRCTOT",$J,1,GMRCSVC,"R")
+ ..;  for all status for this service to all of its groupers
+ ..S ^TMP("GMRCTOT",$J,2,GROUPER(GRP),"T")=$G(^TMP("GMRCTOT",$J,2,GROUPER(GRP),"T"))+^TMP("GMRCTOT",$J,1,GMRCSVC,"T")
+ .. ; add all completed for all groupers
+ .. S ^TMP("GMRCTOT",$J,2,GROUPER(GRP),"C")=$G(^TMP("GMRCTOT",$J,2,GROUPER(GRP),"C"))+^TMP("GMRCTOT",$J,1,GMRCSVC,"C")
  .;
  .;Print the totals for this service that are >0
- .I GMRCARRN="CP" D
- ..D PRTTOT^GMRCSTL8(1,GMRCSVC,GMRCSVCP,GMRCARRN)
- .I GMRCARRN="DEL" D
- ..D DELTOT^GMRCSTL8(1,GMRCSVC,GMRCSVCP,GMRCARRN)
- .Q
+ . I GMRCARRN="CP" D 
+ .. D PRTTOT^GMRCSTL8(1,GMRCSVC,GMRCSVCP,GMRCARRN)
+ . I GMRCARRN="DEL" D
+ .. D DELTOT^GMRCSTL8(1,GMRCSVC,GMRCSVCP,GMRCARRN)
+ . Q
  ;
  ;Done, so now list the group totals for the top group
  ;F GROUPER=GROUPER:-1:1 D  ; left for looking at all totals in future
  I $G(GROUPER) S GROUPER=1 D
- .I GMRCARRN="CP" D
- ..D PRTTOT^GMRCSTL8(2,GROUPER(GROUPER),$P(^GMR(123.5,GROUPER(GROUPER),0),"^",1),GMRCARRN)
- .I GMRCARRN="DEL" D
- ..D DELTOT^GMRCSTL8(2,GROUPER(GROUPER),$P(^GMR(123.5,GROUPER(GROUPER),0),"^",1),GMRCARRN)
+ . I GMRCARRN="CP" D 
+ .. D PRTTOT^GMRCSTL8(2,GROUPER(GROUPER),$P(^GMR(123.5,GROUPER(GROUPER),0),"^",1),GMRCARRN)
+ . I GMRCARRN="DEL" D
+ .. D DELTOT^GMRCSTL8(2,GROUPER(GROUPER),$P(^GMR(123.5,GROUPER(GROUPER),0),"^",1),GMRCARRN)
  Q
+ ;
 PRNTQ   ;Build report and print it
  ;
@@ -184,45 +147,38 @@
  D SERV1^GMRCASV
  D HEAD(GMRCPG) S GMRCPG=GMRCPG+1
- S TEMP=$S($G(GMRCQTR)=4:"4",$G(GMRCQTR)=3:"3",$G(GMRCQTR)=2:"2",1:"1")_"Q"_"FY"_$E($G(GMRCFY),3,4)
- S TEMP="Consult/Request Performance Monitor - "_TEMP
- W $J("",40-($L(TEMP)/2)+.5)_TEMP
- S TEMP="Fiscal Quarter Dates: "_$$FMTE^XLFDT(GMRCDT1)_" - "_$$FMTE^XLFDT(GMRCDT2)
- W !,$J("",40-($L(TEMP)/2)+.5)_TEMP
- S TEMP="30 Days Before Start/End: "_$$FMTE^XLFDT(GMRC30ST)_" - "_$$FMTE^XLFDT(GMRC30SP)
- W !,$J("",40-($L(TEMP)/2)+.5)_TEMP
- S TEMP="60 Days Before Start/End: "_$$FMTE^XLFDT($$FMADD^XLFDT(GMRC30ST,-30))_" - "_$$FMTE^XLFDT($$FMADD^XLFDT(GMRC30SP,-30))
+ W !,$J("",23)_"Consult/Request Performance Monitor"
+ S TEMP="FROM: "_$$FMTE^XLFDT(GMRCDT1)_"  TO: "_$$FMTE^XLFDT(GMRCDT2)
+ I GMRCDT1="ALL" S TEMP="ALL DATES"
  W !,$J("",40-($L(TEMP)/2)+.5)_TEMP,!
- I '$D(IO("Q")) D WAIT^DICD W !!
  I '$O(^TMP("GMRCSLIST",$J,0)) D  G EXIT
- .W !!,"No records to print"
- D ENOR^GMRCSTL7(.GMRCTMP,GMRCDG,GMRC30ST,GMRC30SP,"2,5,6,8,9","1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,99",GMRCFMT)
+ . W !!,"No records to print"
+ D ENOR^GMRCSTL7(.GMRCTMP,GMRCDG,GMRCDT1,GMRCDT2,"5,6,8,2,9",GMRCFMT)
  I '$D(^TMP("GMRCR",$J,GMRCFMT)) D
- .W !!,"No records to print",!
+ . W !!,"No records to print",!
  S IDX=""
  F  S IDX=$O(^TMP("GMRCR",$J,GMRCFMT,IDX)) Q:'IDX!($G(GMRCQUT))  D
- .I IOSL-$Y<3 D
- ..I $E(IOST,1,2)["C-" D
- ...N DIR S DIR(0)="E" D ^DIR
- ...I 'Y S GMRCQUT=1
- ..Q:$G(GMRCQUT)
- ..D HEAD(GMRCPG) S GMRCPG=GMRCPG+1
- .Q:$G(GMRCQUT)
- .W ^TMP("GMRCR",$J,GMRCFMT,IDX,0),!
- D:$D(^TMP("GMRCR",$J,GMRCFMT)) CAVEATS
+ . I IOSL-$Y<3 D
+ .. I $E(IOST,1,2)["C-" D
+ ... N DIR S DIR(0)="E" D ^DIR
+ ... I 'Y S GMRCQUT=1
+ .. Q:$G(GMRCQUT)
+ .. D HEAD(GMRCPG) S GMRCPG=GMRCPG+1
+ . Q:$G(GMRCQUT)
+ . W ^TMP("GMRCR",$J,GMRCFMT,IDX,0),!
  I GMRCFMT="CP",'$G(GMRCQUT) D
- .Q:$O(^TMP("GMRCT",$J,0,""))=""
- .I IOSL-$Y<6 D HEAD(GMRCPG) S GMRCPG=GMRCPG+1
- .W !!!,$$REPEAT^XLFSTR("-",IOM-5)
- .W !,"Consult services not meeting the criteria of this report for",!,"the specified date range:",!
- .S IDX=""
- .F  S IDX=$O(^TMP("GMRCT",$J,0,IDX)) Q:IDX=""!($G(GMRCQUT))  D
- ..I IOSL-$Y<3 D
- ...I $E(IOST,1,2)["C-" D
- ....N DIR S DIR(0)="E" D ^DIR
- ....I 'Y S GMRCQUT=1
- ...Q:$G(GMRCQUT)
- ...D HEAD(GMRCPG) S GMRCPG=GMRCPG+1
- ..Q:$G(GMRCQUT)
- ..W ?4,IDX,!
+ . Q:$O(^TMP("GMRCTOT",$J,0,""))=""
+ . I IOSL-$Y<6 D HEAD(GMRCPG) S GMRCPG=GMRCPG+1
+ . W !!!,$$REPEAT^XLFSTR("-",IOM-5)
+ . W !,"Consult services with no activity meeting the criteria of this report in",!,"the specified date range:",!
+ . S IDX=""
+ . F  S IDX=$O(^TMP("GMRCTOT",$J,0,IDX)) Q:IDX=""!($G(GMRCQUT))  D
+ .. I IOSL-$Y<3 D
+ ... I $E(IOST,1,2)["C-" D
+ .... N DIR S DIR(0)="E" D ^DIR
+ .... I 'Y S GMRCQUT=1
+ ... Q:$G(GMRCQUT)
+ ... D HEAD(GMRCPG) S GMRCPG=GMRCPG+1
+ .. Q:$G(GMRCQUT)
+ .. W ?4,IDX,!
  D ^%ZISC
  D EXIT
@@ -231,26 +187,10 @@
 HEAD(PAGE) ; print header for CPM
  W @IOF
- I PAGE>1 D
- .S TEMP=$S($G(GMRCQTR)=4:"4",$G(GMRCQTR)=3:"3",$G(GMRCQTR)=2:"2",1:"1")_"Q"_"FY"_$E($G(GMRCFY),3,4)
- .S TEMP="Consult/Request Performance Monitor - "_TEMP
- .W !,$J("",40-($L(TEMP)/2)+.5)_TEMP,!
- W !,$J("Run Date: "_$$HTE^XLFDT($H),0),$J("Page: "_PAGE,48)
- W !,$$REPEAT^XLFSTR("-",IOM-2),!!
+ W "Consult Performance Monitor",?40,$$HTE^XLFDT($H)
+ W ?73,"Page: ",PAGE,!
+ W $$REPEAT^XLFSTR("-",IOM-2),!
  Q
  ;
-CAVEATS ; brief explanatory text
- W !!,"Resubmitted requests are evaluated based on the original Date of Request."
- W !!,"The following are excluded from this report:"
- W !," -Requests sent to test patients."
- W !," -Requests not marked as Outpatient in the REQUEST/CONSULTATION file."
- W !," -Services flagged as part of the interface between Consults/Request Tracking"
- W !,?2,"and Prosthetics."
- W !," -Administrative requests flagged via the Administrative fields in the"
- W !,?2,"REQUEST SERVICES and REQUEST/CONSULTATION files. This is not retroactive"
- W !,?2,"and only applies to services/requests leveraging the Administrative-flagging"
- W !,?2,"capability included in GMRC*3.0*60, available on or about June 2008.",!!
- Q
- ;
-EXIT F ARR="GMRCR","GMRCS","GMRCSLIST","GMRCT" K ^TMP(ARR,$J)
+EXIT F ARR="GMRCR","GMRCS","GMRCSLIST","GMRCTOT" K ^TMP(ARR,$J)
  K ARR
  Q
